cascading.flow.planner.iso.transformer

## Class MutateGraphTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<E,E>
  - - cascading.flow.planner.iso.transformer.RecursiveGraphTransformer<ElementGraph>
    - - cascading.flow.planner.iso.transformer.MutateGraphTransformer

- Direct Known Subclasses:
    ContractedGraphTransformer, InsertionGraphTransformer, RemoveBranchGraphTransformer, ReplaceGraphFactoryBasedTransformer, ReplaceGraphTransformer

      public abstract class MutateGraphTransformer
      extends RecursiveGraphTransformer<ElementGraph>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GraphTransformer` | `graphTransformer`

    - ### Fields inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

      `DEFAULT_TRANSFORM_RECURSION_DEPTH_MAX, TRANSFORM_RECURSION_DEPTH_MAX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutateGraphTransformer(ExpressionGraph filter)`
    `MutateGraphTransformer(GraphTransformer graphTransformer, ExpressionGraph filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ElementGraph` | `prepareForMatch(ProcessLogger processLogger, Transformed<ElementGraph> transformed, ElementGraph graph)`
    `protected boolean` | `requiresRecursiveSearch()` By default, prepareForMatch returns the same graph, but sub-classes may return a sub-graph, one of many requiring sub-sequent matches.

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

      `addExclusions, transform, transform, transformGraphInPlaceUsing`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

      `transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### graphTransformer

          protected final GraphTransformer graphTransformer

  - ### Constructor Detail

    - #### MutateGraphTransformer

          public MutateGraphTransformer(ExpressionGraph filter)

    - #### MutateGraphTransformer

          public MutateGraphTransformer(GraphTransformer graphTransformer,
                                ExpressionGraph filter)

  - ### Method Detail

    - #### requiresRecursiveSearch

          protected boolean requiresRecursiveSearch()

      Description copied from class: `RecursiveGraphTransformer`
      By default, prepareForMatch returns the same graph, but sub-classes may return a sub-graph, one of many requiring sub-sequent matches.

      if we are searching the whole graph, there is no need to perform a recursion against the new transformed graph
      Overrides:
        `requiresRecursiveSearch` in class `RecursiveGraphTransformer<ElementGraph>`

    - #### prepareForMatch

          protected ElementGraph prepareForMatch(ProcessLogger processLogger,
                                     Transformed<ElementGraph> transformed,
                                     ElementGraph graph)

      Overrides:
        `prepareForMatch` in class `RecursiveGraphTransformer<ElementGraph>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.